﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals

	Private Root As B4XView
	Private xui As XUI

	
	Private ASScheduler_CalendarViewMonth1 As ASScheduler_CalendarViewMonth
	Private ASScheduler_CalendarViewWeek1 As ASScheduler_CalendarViewWeek
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("frm_main")

	B4XPages.SetTitle(Me,"CalendarView Example")

	'Dim Start As Long = DateTime.now

	ASScheduler_CalendarViewMonth1.API.ClearAppointments
	ASScheduler_CalendarViewMonth1.API.ClearBlackouts
	ASScheduler_CalendarViewMonth1.API.ClearSpecialDays
	
	Dim StartDate As Long = DateUtils.SetDateAndTime(DateTime.GetYear(DateTime.Now),DateTime.GetMonth(DateTime.Now),DateTime.GetDayOfMonth(DateTime.Now),8,0,0) - DateTime.TicksPerDay
	
	ASScheduler_CalendarViewMonth1.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_Appointment(0,"Test Appointment 1","Description",xui.Color_ARGB(255,73, 98, 164),False,StartDate,StartDate + DateTime.TicksPerHour*1))
	ASScheduler_CalendarViewMonth1.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_Appointment(0,"Test Appointment 2","Description",xui.Color_ARGB(255,141, 68, 173),False,StartDate,StartDate + DateTime.TicksPerHour*1))
	ASScheduler_CalendarViewMonth1.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_Appointment(0,"Test Appointment 3","Description",xui.Color_ARGB(255,45, 136, 121),False,StartDate,StartDate + DateTime.TicksPerHour*1))
	ASScheduler_CalendarViewMonth1.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_Appointment(0,"Test Appointment 4","Description",xui.Color_ARGB(255,140, 198, 101),False,StartDate + DateTime.TicksPerDay*2,StartDate + DateTime.TicksPerDay*2 + DateTime.TicksPerHour*1))
	
	'Recurring
	ASScheduler_CalendarViewMonth1.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_AppointmentRecurring(0,"Recurring Appointment 1","Description",xui.Color_ARGB(255,85,139,110),False,StartDate + DateTime.TicksPerDay*7,StartDate + (DateTime.TicksPerDay*7) + DateTime.TicksPerHour*2,True,ASSchedulerUtils.Recurring_Week,1))
	
	'ASScheduler_CalendarViewMonth1.StartDate = DateTime.Now - DateTime.TicksPerDay
	
	'Creates a special day as recurring special day on every sunday
	Dim OneSunday As Long = DateUtils.SetDate(2022,5,8)
	ASScheduler_CalendarViewMonth1.API.CreateSpecialDay(ASSchedulerUtils.CreateASScheduler_SpecialDayRecurring(0,"sunday",OneSunday,True,ASSchedulerUtils.Recurring_Week,1,True))
	
	Sleep(0)
	ASScheduler_CalendarViewMonth1.StartDate = DateTime.Now 'DateTime.Now is default
	ASScheduler_CalendarViewWeek1.StartDate = DateTime.Now 'DateTime.Now is default
	
End Sub



